# Interface ILocalVariableTableEntry

public interface ILocalVariableTableEntry
Description of a local variable table entry as specified in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getDescriptor()`
Answer back the descriptor of this entry as specified in the JVM specifications.
`int`
`getDescriptorIndex()`
Answer back the descriptor index in the constant pool of this entry as specified in the JVM specifications.
`int`
`getIndex()`
Answer back the index of this entry as specified in the JVM specifications.
`int`
`getLength()`
Answer back the length of this entry as specified in the JVM specifications.
`char[]`
`getName()`
Answer back the name of this entry as specified in the JVM specifications.
`int`
`getNameIndex()`
Answer back the name index in the constant pool of this entry as specified in the JVM specifications.
`int`
`getStartPC()`
Answer back the start pc of this entry as specified in the JVM specifications.

## Method Details

### getStartPC

int getStartPC()
Answer back the start pc of this entry as specified in the JVM specifications.

Returns:
  the start pc of this entry as specified in the JVM specifications

### getLength

int getLength()
Answer back the length of this entry as specified in the JVM specifications.

Returns:
  the length of this entry as specified in the JVM specifications

### getNameIndex

int getNameIndex()
Answer back the name index in the constant pool of this entry as specified in the JVM specifications.

Returns:
  the name index in the constant pool of this entry as specified in the JVM specifications

### getDescriptorIndex

int getDescriptorIndex()
Answer back the descriptor index in the constant pool of this entry as specified in the JVM specifications.

Returns:
  the descriptor index in the constant pool of this entry as specified in the JVM specifications

### getIndex

int getIndex()
Answer back the index of this entry as specified in the JVM specifications.

Returns:
  the index of this entry as specified in the JVM specifications

### getName

char[] getName()
Answer back the name of this entry as specified in the JVM specifications.

Returns:
  the name of this entry as specified in the JVM specifications

### getDescriptor

char[] getDescriptor()
Answer back the descriptor of this entry as specified in the JVM specifications.

Returns:
  the descriptor of this entry as specified in the JVM specifications